curl --request GET \
--url 'https://api.scanova.io/forms/F8a9b0c1d2e3f4g5h/responses/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": "b3f1c9a2-1234-4d1a-9c6e-3a2b7f9d1e40",
"created": "2026-09-01T10:15:00Z",
"qr_code_id": "Q07afe81aa0034c01",
"qr_code_name": "docs-v2-first-qr-code",
"data": [
{ "question": "Full name", "answer": "Jane Doe" },
{ "question": "Email", "answer": "jane@example.com" }
],
"created_by": { "full_name": "Jane Doe", "email": "jane@example.com" },
"is_skipped": false
}
]
}
潜在客户与表单
列出表单响应
GET /forms//responses/
GET
/
forms
/
{form_id}
/
responses
/
curl --request GET \
--url 'https://api.scanova.io/forms/F8a9b0c1d2e3f4g5h/responses/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": "b3f1c9a2-1234-4d1a-9c6e-3a2b7f9d1e40",
"created": "2026-09-01T10:15:00Z",
"qr_code_id": "Q07afe81aa0034c01",
"qr_code_name": "docs-v2-first-qr-code",
"data": [
{ "question": "Full name", "answer": "Jane Doe" },
{ "question": "Email", "answer": "jane@example.com" }
],
"created_by": { "full_name": "Jane Doe", "email": "jane@example.com" },
"is_skipped": false
}
]
}
列出表单收集到的提交(“响应”)。
跳过/不完整的提交始终从此列表中排除。如果
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额和 LEAD_GENERATION_ENTRY_CAN_VIEW 权限的管理 API 密钥,作为原始 Authorization 标头值发送 —— 参见管理 API 概述。string
必填
表单的
form_id。string
按
qrid 筛选通过特定 QR 码提交的响应。string
仅包含在此日期(含)之后创建的响应(
YYYY-MM-DD)。string
仅包含在此日期(含)之前创建的响应(
YYYY-MM-DD)。string
在已提交的回答和已链接 QR 码的名称中进行子字符串搜索。
string
created 或 -created。默认值为 -created。integer
页码。
integer
每页结果数,最多 200。默认 20。
curl --request GET \
--url 'https://api.scanova.io/forms/F8a9b0c1d2e3f4g5h/responses/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": "b3f1c9a2-1234-4d1a-9c6e-3a2b7f9d1e40",
"created": "2026-09-01T10:15:00Z",
"qr_code_id": "Q07afe81aa0034c01",
"qr_code_name": "docs-v2-first-qr-code",
"data": [
{ "question": "Full name", "answer": "Jane Doe" },
{ "question": "Email", "answer": "jane@example.com" }
],
"created_by": { "full_name": "Jane Doe", "email": "jane@example.com" },
"is_skipped": false
}
]
}
form_id 不属于此账户,则返回 404。
如果此表单是从旧版潜在客户列表转换而来,转换前收集的响应会透明地合并到同一列表中 —— 在这种情况下,响应的
id 可能来自当前的表单响应存储或旧版潜在客户条目存储,但返回的形状在两种情况下是相同的。相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
Paginated list of form submissions.
此页面对您有帮助吗?